## kprinter4 12

=== CMakeLists.txt ===
project(kprinter4)

cmake_minimum_required(VERSION 2.8)

set(KPRINTER4_VERSION "12")
set(LIBSPECTRE_MINIMUM_VERSION "0.2")

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -g")
set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")

find_package(KDE4 REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)

find_package(LibSpectre REQUIRED)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${KDE4_INCLUDES}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDES}
  ${LIBSPECTRE_INCLUDE_DIR}
)

set(kprinter4_SRCS
  main.cpp
  fileprinter.cpp
  postscriptdocument.cpp
  utils/papersizeutils.cpp
  utils/tmpdir.cpp
  utils/pid.cpp
  widgets/printscalingoptionswidget.cpp
  widgets/posterwidget.cpp
  widgets/posterpreview.cpp
)

kde4_add_ui_files(kprinter4_SRCS
  widgets/printscalingoptionswidgetUI.ui
)

kde4_add_executable(kprinter4 ${kprinter4_SRCS})
target_link_libraries(kprinter4
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KUTILS_LIBS}
  ${KDE4_KIO_LIBRARY}
  ${KDE4_KPRINTUTILS_LIBS}
  ${QT_QTNETWORK_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${LIBSPECTRE_LIBRARY}
)

install(TARGETS kprinter4 DESTINATION ${BIN_INSTALL_DIR})
install(FILES kprinter4.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

add_subdirectory(icons)
add_subdirectory(po)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

file(GLOB catalogs *.po)

gettext_create_translations("kprinter4.pot" ALL ${catalogs})

=== debian/changelog ===
kprinter4 (12-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:31:21 +0000

kprinter4 (12-1) unstable; urgency=medium

  * New release.
  * Initial upload to unstable (Closes: #739600).
  * debian/copyright: Updated.
  * debian/control (Homepage, Description): Likewise.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 30 Jun 2014 16:53:58 +0200

kprinter4 (10-1) unstable; urgency=low

  * New release.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 14 Mar 2014 16:17:06 +0100

kprinter4 (9-1) unstable; urgency=low

  * New release. 

 -- Michael Banck <michael.banck@credativ.de>  Fri, 14 Feb 2014 15:49:29 +0100

kprinter4 (5-2) unstable; urgency=low

  * debian/control (Build-Depends): Added pkg-config. 

 -- Michael Banck <michael.banck@credativ.de>  Tue, 04 Feb 2014 14:57:22 +0100

kprinter4 (5-1) unstable; urgency=low

  * New release.
  * debian/control (Build-Depends): Added libspectre-dev.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 03 Feb 2014 13:00:39 +0100

kprinter4 (4-1) unstable; urgency=low

  * New release.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 30 Jan 2014 15:27:08 +0100

kprinter4 (3-1) unstable; urgency=low

  * New release.
  * debian/control (Homepage): New field. 
  * debian/control (Build-Depends): Removed psutils and ghostscript, they are
    run-time dependencies only.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 28 Jan 2014 10:57:20 +0100

kprinter4 (2-1) unstable; urgency=low

  * Initial release.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 22 Jan 2014 18:16:50 +0100

=== debian/control ===
Source: kprinter4
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco Nelles <marco.nelles@credativ.de>
Uploaders: Michael Banck <michael.banck@credativ.de>
Build-Depends: debhelper (>= 8.0.0), cmake, pkg-config, kdelibs5-dev, libspectre-dev
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/playground/utils/kprinter4

Package: kprinter4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, psutils, ghostscript
Description: Simple PostScript document printer
 Kprinter4 is a simple stand-alone document printer modelled after the KDE4
 print dialog. It can be used in place of /bin/lpr in order to better control
 the print setup of legacy applications.  
 .
 Features include:
 .
  * Printing PostScript documents with KDE4 print dialog
  * Scaling and positioning of documents
  * Poster printing
 .
 Kprinter4 is the successor of the KDE3-based kprinter application.
